<?php

namespace Drupal\timepad\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Link;
use Drupal\Core\Url;

/**
 * Class TimepadSettingsForm
 * @package Drupal\timepad\Form
 */
class TimepadSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['timepad.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'timepad_settings_form';
  }

  /**
   * {@inheritDoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $settings = $this->configFactory->get('timepad.settings');

    $form['access_token'] = array(
      '#type' => 'textfield',
      '#title' => $this->t('Access token'),
      '#description' => $this->t('If you want to create/modify events this field is required.'),
      '#suffix' => new Link($this->t('Get access token'), Url::fromUri('http://dev.timepad.ru/api/oauth/')), [
        'attributes' => [
          'target' => '_blank',
        ],
      ],
      '#default_value' => $settings->get('access_token'),
    );

    return parent::buildForm($form, $form_state);
  }

}
